net.sf.jasperreports.crosstabs.fill.calculation

## Class OrderByColumnOrderer

- java.lang.Object
- - net.sf.jasperreports.crosstabs.fill.calculation.OrderByColumnOrderer

- All Implemented Interfaces:
    BucketOrderer

      public class OrderByColumnOrderer
      extends java.lang.Object
      implements BucketOrderer

  Version:
    $Id: OrderByColumnOrderer.java 6470 2013-09-03 09:32:21Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderByColumnOrderer(OrderByColumnInfo orderInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareOrderValues(java.lang.Object orderValue, java.lang.Object orderValue2)`
    `java.util.List<BucketDefinition.Bucket>` | `getBucketValues()`
    `java.lang.Object` | `getOrderValue(BucketingService.BucketMap bucketMap, BucketDefinition.Bucket bucketValue)`
    `void` | `init(BucketingData bucketingData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderByColumnOrderer

          public OrderByColumnOrderer(OrderByColumnInfo orderInfo)

  - ### Method Detail

    - #### init

          public void init(BucketingData bucketingData)

      Specified by:
        `init` in interface `BucketOrderer`

    - #### getOrderValue

          public java.lang.Object getOrderValue(BucketingService.BucketMap bucketMap,
                                       BucketDefinition.Bucket bucketValue)
                                         throws JRException

      Specified by:
        `getOrderValue` in interface `BucketOrderer`
      Throws:
        `JRException`

    - #### compareOrderValues

          public int compareOrderValues(java.lang.Object orderValue,
                               java.lang.Object orderValue2)

      Specified by:
        `compareOrderValues` in interface `BucketOrderer`

    - #### getBucketValues

          public java.util.List<BucketDefinition.Bucket> getBucketValues()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com